---
lang: en
title: 'API docs: repository.belongstodefinition'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.belongstodefinition.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [BelongsToDefinition](./repository.belongstodefinition.md)

## BelongsToDefinition interface

<b>Signature:</b>

```typescript
export interface BelongsToDefinition extends RelationDefinitionBase 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [keyFrom](./repository.belongstodefinition.keyfrom.md) | <code>string</code> |  |
|  [keyTo](./repository.belongstodefinition.keyto.md) | <code>string</code> |  |
|  [targetsMany](./repository.belongstodefinition.targetsmany.md) | <code>false</code> |  |
|  [type](./repository.belongstodefinition.type.md) | <code>RelationType.belongsTo</code> |  |


